BTCLI(1)

NAME
btcli - command line interface to btpd

SYNOPSIS
btcli OPERATION [OPERATION_OPTIONS]

DESCRIPTION

btcli is a utility that interacts with a running btpd daemon. It has several different modes of operation.

OPERATIONS

One of the following operations must be specified when running btcli:

add - Add torrents to btpd.

del - Remove torrents from btpd.

kill - Shut down btpd.

list - List torrents.

start - Activate torrents.

stat - Display stats for active torrents.

stop - Deactivate torrents.

--help OPERATION Show help for the specified operation.

ADD OPTIONS

-d dir
    Specifies the directory in which the files in the torrent will be downloaded; It does not specify btpd's "work" directory. That is gathered from the environment variable $HOME.

-N, --nostart
    Do not start the torrent immediately after adding it.

-T, --topdir
    Append the torrent top directory (if any) to the content path.

-n name
    Specifies the name to be displayed for this torrent.

LIST OPTIONS

-a  List active torrents.

-i  List inactive torrents.

-f format
    Specifies a custom format to use while displaying torrents. The following is a list of the characters that can be used:

    %n - torrent name
    %# - torrent number
    %h - torrent hash
    %d - download directory
    %t - state
    %P - peer count

    %^ - upload rate
    %v - download rate

    %D - downloaded bytes
    %U - uploaded bytes
    %g - bytes got
    %u - bytes uploaded
    %s - total size, (formatted: prints K, M, G)
    %S - total size, in bytes

    %A - available pieces
    %T - total pieces
    %H - have pieces

    %p - percent have (formatted)
    %r - ratio

    %% - a percent symbol: '%'

STAT OPTIONS

-i  Display individual lines for each torrent.

-n  Display the name of each torrent. Implies '-i'.

START OPTIONS

-a  Activate all non-active torrents.

STOP OPTIONS

-a  Deactivate all torrents.

USAGE

btpd must be started before btcli can be used. See btpd(1) for help with starting btpd.

To start sharing a torrent with btpd, the torrent needs to be added to btpd. This is done with btcli add. Unless otherwise specified, btpd automatically starts to share the torrent and download any missing data. If the content directory you specify when adding a torrent does not exist, btpd will create it.

You can see which torrents have been added to btpd with btcli list. The list mode also displays a number for each added torrent. This number can be used to specify the target torrent for the btcli modes, so you don't have to keep the torrent file after adding it.

The up- and download progress can be followed by using the btcli stat mode. Both the list and stat modes use the following indicators to display the state of a torrent:

    +   The torrent is starting. This may take time if btpd needs to test the content of this torrent or one started before it.

    -   The torrent is being stopped.

    I   The torrent is inactive.

    S   btpd is seeding the torrent.

    L   btpd is leeching the torrent.

You can stop an active torrent with btcli stop. You can start an inactive torrent by using btcli start.

Note: Torrents can be specified either with its number or its file.

The btcli del mode should only be used when you're totally finished with sharing a torrent. The mode will remove the torrent and its associated data from btpd. It is a bad idea to remove a not fully downloaded torrent and then add it again, since btpd has lost information on the not fully downloaded pieces and will need to download the data again.

To shut down btpd use btcli kill.

EXAMPLES
Display a list btpd's torrents and their number, size, status, etc.
    $ btcli list

Same as above, but only for torrent 12 and my.little.torrent.
    $ btcli list 12 my.little.torrent

Same as above but only for active torrents.
    $ btcli list -a

Add foo.torrent, with content dir foo.torrent.d, and start it.
    $ btcli add -d foo.torrent.d foo.torrent

Same as above without starting it.
    $ btcli add --no-start -d foo.torrent.d foo.torrent

Start bar.torrent and torrent number 7.
    $ btcli start bar.torrent 7

Stop torrent number 7.
    $ btcli stop 7

Stop all active torrents.
    $ btcli stop -a

Remove bar.torrent and it's associated information from btpd.
    $ btcli del bar.torrent

Display a summary of up/download stats for the active torrents.
    $ btcli stat

Display the summary once every five seconds.
    $ btcli stat -w 5

Same as above, but also display individual stats for each active torrent.
    $ btcli stat -w 5 -i

Shut down btpd.
    $ btcli kill

BUGS
Known bugs are listed at http://github.com/queueRAM/btpd/issues

Before submitting a bug report, please verify that you are running the latest version of btpd.

AUTHORS

Current maintainers:

- Marq Schneider <queueRAM@gmail.com>

Past contributors:

- Richard Nyberg <btpd@murmeldjur.se>

SEE ALSO
btpd(1) btinfo(1)